#
# spec file for package python-statsd
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-statsd
Version:        3.2.2
Release:        lp151.2.2
Summary:        A simple statsd client
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/jsocol/pystatsd
Source:         https://files.pythonhosted.org/packages/source/s/statsd/statsd-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
statsd is a front-end to Graphite. This is a Python client
for the statsd daemon.

%prep
%setup -q -n statsd-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS CHANGES LICENSE README.rst
%{python_sitelib}/*

%changelog
* Fri Mar 23 2018 tbechtold@suse.com
- update to 3.2.2:
  - Use a monotomic timer to avoid clock adjustments (#96).
  - Test on Python 3.5 and 3.6.
  - Various doc updates.
* Tue Aug 22 2017 tbechtold@suse.com
- convert to singlespec
* Tue Feb 14 2017 jengelh@inai.de
- Description with neutral point of view
* Sun Dec  6 2015 tbechtold@suse.com
- Initial packaging (version 3.2.1)
